import { Component, OnInit } from '@angular/core';
import {trigger, transition, useAnimation, state, style, animate} from '@angular/animations';
import { bounce } from 'ng-animate';
import {PostsService} from '../posts.service';
@Component({
  selector: 'app-main-page',
  templateUrl: './main-page.component.html',
  styleUrls: ['./main-page.component.css'],
  animations: [
    trigger('flyInOut', [
      state('in', style({ transform: 'translateX(0)' })),
      transition('void => *', [
        style({ transform: 'translateX(-100%)' }),
        animate(100)
      ]),
      transition('* => void', [
        animate(100, style({ transform: 'translateX(100%)' }))
      ])
    ])
  ],
})
export class MainPageComponent implements OnInit {
  posts;
  constructor(private postService:PostsService) {

  }

  ngOnInit() {
  this.postService.getPosts(0).subscribe(d=>{
    this.posts = d;
  });
  }

}
